org.apache.ignite.internal.visor.debug

## Class VisorThreadInfo

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.debug.VisorThreadInfo

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorThreadInfo
    extends VisorDataTransferObject

Data transfer object for Visor `ThreadInfo`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2`

### Constructor Summary

Constructors
Constructor and Description
`VisorThreadInfo()` Default constructor.
`VisorThreadInfo(ThreadInfo ti)` Create data transfer object for given thread info.

### Method Summary

Methods
`long` `getBlockedCount()`
`long` `getBlockedTime()`
`long` `getId()`
`VisorThreadLockInfo` `getLock()`
`List<VisorThreadMonitorInfo>` `getLockedMonitors()`
`String` `getLockName()`
`long` `getLockOwnerId()`
`String` `getLockOwnerName()`
`List<VisorThreadLockInfo>` `getLocks()`
`String` `getName()`
`List<StackTraceElement>` `getStackTrace()`
`Thread.State` `getState()`
`long` `getWaitedCount()`
`long` `getWaitedTime()`
`boolean` `isInNative()`
`boolean` `isSuspended()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorThreadInfo

    public VisorThreadInfo()

Default constructor.

#### VisorThreadInfo

    public VisorThreadInfo(ThreadInfo ti)

Create data transfer object for given thread info.

Parameters:
  `ti` - Thread info.

### Method Detail

#### getName

    public String getName()

Returns:
  Thread name.

#### getId

    public long getId()

Returns:
  Thread ID.

#### getState

    public Thread.State getState()

Returns:
  Thread state.

#### getLock

    public VisorThreadLockInfo getLock()

Returns:
  Lock information.

#### getLockName

    public String getLockName()

Returns:
  Lock name.

#### getLockOwnerId

    public long getLockOwnerId()

Returns:
  Lock owner thread ID.

#### getLockOwnerName

    public String getLockOwnerName()

Returns:
  Lock owner name.

#### isInNative

    public boolean isInNative()

Returns:
  Thread executing native code.

#### isSuspended

    public boolean isSuspended()

Returns:
  Thread is suspended.

#### getWaitedCount

    public long getWaitedCount()

Returns:
  Waited count.

#### getWaitedTime

    public long getWaitedTime()

Returns:
  Waited time.

#### getBlockedCount

    public long getBlockedCount()

Returns:
  Blocked count.

#### getBlockedTime

    public long getBlockedTime()

Returns:
  Blocked time.

#### getStackTrace

    public List<StackTraceElement> getStackTrace()

Returns:
  Stack trace.

#### getLocks

    public List<VisorThreadLockInfo> getLocks()

Returns:
  Locks info.

#### getLockedMonitors

    public List<VisorThreadMonitorInfo> getLockedMonitors()

Returns:
  Locked monitors.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                        ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017